## libamazon-sqs-simple-perl 2.04

=== Makefile ===
# This Makefile is for the Amazon::SQS::Simple extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.66 (Revision: 66600) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     ABSTRACT_FROM => q[lib/Amazon/SQS/Simple.pm]
#     AUTHOR => [q[Simon Whitaker <sw@netcetera.org>]]
#     BUILD_REQUIRES => {  }
#     CONFIGURE_REQUIRES => {  }
#     NAME => q[Amazon::SQS::Simple]
#     PL_FILES => {  }
#     PREREQ_PM => { Digest::SHA=>q[0], MIME::Base64=>q[0], URI::Escape=>q[0], Test::More=>q[0], Digest::HMAC_SHA1=>q[0], XML::Simple=>q[0], LWP::UserAgent=>q[0] }
#     TEST_REQUIRES => {  }
#     VERSION_FROM => q[lib/Amazon/SQS/Simple.pm]
#     clean => { FILES=>q[Amazon-SQS-Simple-*] }
#     dist => { SUFFIX=>q[gz], COMPRESS=>q[gzip -9f] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /System/Library/Perl/5.18/darwin-thread-multi-2level/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = cc
CCCDLFLAGS =  
CCDLFLAGS =  
DLEXT = bundle
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = cc -mmacosx-version-min=10.10
LDDLFLAGS = -arch x86_64 -arch i386 -bundle -undefined dynamic_lookup -fstack-protector
LDFLAGS = -arch x86_64 -arch i386 -fstack-protector
LIBC = 
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = darwin
OSVERS = 14.0
RANLIB = /usr/bin/ar s
SITELIBEXP = /Library/Perl/5.18
SITEARCHEXP = /Library/Perl/5.18/darwin-thread-multi-2level
SO = dylib
VENDORARCHEXP = /Network/Library/Perl/5.18/darwin-thread-multi-2level
VENDORLIBEXP = /Network/Library/Perl/5.18


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = Amazon::SQS::Simple
NAME_SYM = Amazon_SQS_Simple
VERSION = 2.04
VERSION_MACRO = VERSION
VERSION_SYM = 2_04
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 2.04
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1
MAN3EXT = 3pm
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /
SITEPREFIX = /usr/local
VENDORPREFIX = /usr/local
INSTALLPRIVLIB = /Library/Perl/Updates/5.18.2
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /Library/Perl/5.18
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = /Network/Library/Perl/5.18
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /Library/Perl/Updates/5.18.2/darwin-thread-multi-2level
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /Library/Perl/5.18/darwin-thread-multi-2level
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = /Network/Library/Perl/5.18/darwin-thread-multi-2level
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /usr/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /usr/local/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = /usr/local/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /usr/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /usr/local/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = /usr/local/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /usr/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /usr/local/share/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = /usr/local/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /usr/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /usr/local/share/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = /usr/local/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /System/Library/Perl/5.18
PERL_ARCHLIB = /System/Library/Perl/5.18/darwin-thread-multi-2level
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /System/Library/Perl/5.18/darwin-thread-multi-2level/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /System/Library/Perl/5.18/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.66
MM_REVISION = 66600

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = Amazon/SQS/Simple
BASEEXT = Simple
PARENT_NAME = Amazon::SQS
DLBASE = $(BASEEXT)
VERSION_FROM = lib/Amazon/SQS/Simple.pm
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = 
MAN3PODS = lib/Amazon/SQS/Simple.pm \
	lib/Amazon/SQS/Simple/Base.pm \
	lib/Amazon/SQS/Simple/Message.pm \
	lib/Amazon/SQS/Simple/Queue.pm \
	lib/Amazon/SQS/Simple/SendResponse.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DFSEP)Config.pm $(PERL_INC)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/Amazon/SQS
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/Amazon/SQS

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = lib/Amazon/SQS/Simple.pm \
	lib/Amazon/SQS/Simple/Base.pm \
	lib/Amazon/SQS/Simple/Message.pm \
	lib/Amazon/SQS/Simple/Queue.pm \
	lib/Amazon/SQS/Simple/SendResponse.pm

PM_TO_BLIB = lib/Amazon/SQS/Simple/Base.pm \
	blib/lib/Amazon/SQS/Simple/Base.pm \
	lib/Amazon/SQS/Simple/SendResponse.pm \
	blib/lib/Amazon/SQS/Simple/SendResponse.pm \
	lib/Amazon/SQS/Simple/Message.pm \
	blib/lib/Amazon/SQS/Simple/Message.pm \
	lib/Amazon/SQS/Simple.pm \
	blib/lib/Amazon/SQS/Simple.pm \
	lib/Amazon/SQS/Simple/Queue.pm \
	blib/lib/Amazon/SQS/Simple/Queue.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 6.66
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$$$ARGV[0], $$$$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = COPY_EXTENDED_ATTRIBUTES_DISABLE=1 COPYFILE_DISABLE=1 tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip -9f
SUFFIX = gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = Amazon-SQS-Simple
DISTVNAME = Amazon-SQS-Simple-2.04


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_SCRIPT)
	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists

$(INST_MAN1DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN1DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN1DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN1DIR)$(DFSEP).exists

$(INST_MAN3DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN3DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN3DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN3DIR)$(DFSEP).exists



# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	$(NOECHO) $(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

dynamic :: $(FIRST_MAKEFILE) $(INST_DYNAMIC) $(INST_BOOT)
	$(NOECHO) $(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
static :: $(FIRST_MAKEFILE) $(INST_STATIC)
	$(NOECHO) $(NOOP)


# --- MakeMaker static_lib section:

## libamazon-sqs-simple-perl 1.06

=== debian/changelog ===
libamazon-sqs-simple-perl (1.06-1) unstable; urgency=low

  * Initial Release. (Closes: #584202)

 -- Angel Abad <angelabad@gmail.com>  Thu, 03 Jun 2010 00:29:01 +0200

=== debian/control ===
Source: libamazon-sqs-simple-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: libdigest-hmac-perl, liburi-perl, libwww-perl,
 libxml-simple-perl, perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Angel Abad <angelabad@gmail.com>
Standards-Version: 3.8.4
Homepage: http://search.cpan.org/dist/Amazon-SQS-Simple/

Package: libamazon-sqs-simple-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libdigest-hmac-perl, liburi-perl,
 libwww-perl, libxml-simple-perl
Description: Perl module for accessing the Amazon Simple Queue
 Amazon::SQS::Simple is a Perl library providing an object-oriented API for
 the Amazon Simple Queue Service.
 .
 This version of Amazon::SQS::Simple defaults to work against version
 2009-02-01 of the SQS API. Earlier API versions may or may not work.

=== debian/watch ===
version=3
http://search.cpan.org/dist/Amazon-SQS-Simple/   .*/Amazon-SQS-Simple-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## libamazon-sqs-simple-perl 2.03

=== debian/changelog ===
libamazon-sqs-simple-perl (2.03-1) unstable; urgency=low

  * Team upload.

  [ Angel Abad ]
  * debian/control: Add VCS- fields
  * Email change: Angel Abad -> angel@debian.org

  [ Fabrizio Regalli ]
  * Update d/compat to 8
  * Update debhelper to (>=8.0)

  [ Salvatore Bonaccorso ]
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ gregor herrmann ]
  * New upstream release.
  * debian/copyright: update upstream contact and copyright holders.
  * Declare compliance with Debian Policy 3.9.4.

 -- gregor herrmann <gregoa@debian.org>  Wed, 02 Oct 2013 22:13:49 +0200

=== debian/control ===
Source: libamazon-sqs-simple-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Angel Abad <angel@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: libdigest-hmac-perl,
                     liburi-perl,
                     libwww-perl,
                     libxml-simple-perl,
                     perl
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libamazon-sqs-simple-perl.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libamazon-sqs-simple-perl.git
Homepage: https://metacpan.org/release/Amazon-SQS-Simple/

Package: libamazon-sqs-simple-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libdigest-hmac-perl,
         liburi-perl,
         libwww-perl,
         libxml-simple-perl
Description: Perl module for accessing the Amazon Simple Queue
 Amazon::SQS::Simple is a Perl library providing an object-oriented API for
 the Amazon Simple Queue Service.
 .
 This version of Amazon::SQS::Simple defaults to work against version
 2009-02-01 of the SQS API. Earlier API versions may or may not work.

=== debian/watch ===
version=3
https://metacpan.org/release/Amazon-SQS-Simple/   .*/Amazon-SQS-Simple-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## libamazon-sqs-simple-perl 2.04

=== debian/changelog ===
libamazon-sqs-simple-perl (2.04-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compatibility level to 9.
  * Add build dependency on libtest-warn-perl.
  * debian/rules: recreate Makefile during clean.
  * Skip new development tests during build and autopkgtest.

 -- gregor herrmann <gregoa@debian.org>  Mon, 30 Nov 2015 18:54:04 +0100

libamazon-sqs-simple-perl (2.03-2) unstable; urgency=medium

  * Team upload

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Damyan Ivanov ]
  * Declare conformance with Policy 3.9.6
  * mark package as autopkg-testable

 -- Damyan Ivanov <dmn@debian.org>  Sun, 22 Nov 2015 07:14:53 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Uploaders: Angel Abad <angel@debian.org>
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: libdigest-hmac-perl,
+                     libtest-warn-perl,
                      liburi-perl,
                      libwww-perl,
                      libxml-simple-perl,
                      perl
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libamazon-sqs-simple-perl.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libamazon-sqs-simple-perl.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libamazon-sqs-simple-perl.git
-Homepage: https://metacpan.org/release/Amazon-SQS-Simple/
+Homepage: https://metacpan.org/release/Amazon-SQS-Simple
+Testsuite: autopkgtest-pkg-perl
 
 Package: libamazon-sqs-simple-perl
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

SKIP_TESTS=$(shell cat debian/tests/pkg-perl/smoke-skip)
TEST_FILES = $(filter-out $(SKIP_TESTS), $(wildcard t/*.t))

%:
	dh $@

override_dh_auto_clean:
	# recreate Makefile if it exists. path from the author's MacOS are not
	# helpful for us
	[ ! -f Makefile ] || perl Makefile.PL
	dh_auto_clean

override_dh_auto_test:
	dh_auto_test -- TEST_FILES="$(TEST_FILES)"

## libamazon-sqs-simple-perl 2.06

=== debian/changelog ===
libamazon-sqs-simple-perl (2.06-1) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Florian Schlichting ]
  * Import upstream version 2.06
  * Add upstream metadata
  * Add new (build-)dependencies on AWS::Signature4 and
    VM::EC2::Security::CredentialCache
  * Bump copyright years
  * Update license paragraphs to commonly used versions
  * Drop overrides and smoke-skip as the offending files are no longer shipped
  * Declare compliance with Debian Policy 4.1.1

 -- Florian Schlichting <fsfs@debian.org>  Sat, 11 Nov 2017 22:12:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Section: perl
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: libdigest-hmac-perl,
+Build-Depends-Indep: libaws-signature4-perl,
+                     libdigest-hmac-perl,
                      libtest-warn-perl,
                      liburi-perl,
                      libwww-perl,
+                     libvm-ec2-security-credentialcache-perl,
                      libxml-simple-perl,
                      perl
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libamazon-sqs-simple-perl.git
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libamazon-sqs-simple-perl.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libamazon-sqs-simple-perl.git
 Homepage: https://metacpan.org/release/Amazon-SQS-Simple
 Testsuite: autopkgtest-pkg-perl
 
@@ -20,9 +22,11 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
+         libaws-signature4-perl,
          libdigest-hmac-perl,
          liburi-perl,
          libwww-perl,
+         libvm-ec2-security-credentialcache-perl,
          libxml-simple-perl
 Description: Perl module for accessing the Amazon Simple Queue
  Amazon::SQS::Simple is a Perl library providing an object-oriented API for

## libamazon-sqs-simple-perl 2.07

=== debian/changelog ===
libamazon-sqs-simple-perl (2.07-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Angel Abad ]
  * Import upstream version 2.07
  * debian/copyright: Update copyright years.
  * Bump debhelper compatibility level to 10.
  * Declare compliance with Debian Policy 4.2.1.

 -- Angel Abad <angel@debian.org>  Sun, 11 Nov 2018 09:19:22 +0100

=== debian/watch ===
version=3
https://metacpan.org/release/Amazon-SQS-Simple   .*/Amazon-SQS-Simple-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
